/**
 * Loading XML Data
 * by David Patterson
 * 22-4-2016 
 *
 * This example demonstrates how to use loadXML()
 * to retrieve data from an XML document via a URL
 */


import static javax.swing.JOptionPane.*; // error box

// We're going to store the temperature
int temperature = 0;
String tunits = "";

// We're going to store text about the weather
String weather = "";
// Name of the city
String city = "";

// The zip code we'll check for
String zip = "30079";

PFont font;

void setup() {
  size(600, 360);

  font = createFont("ArialMT-28", 28);
  textFont(font);

  // The URL for the XML document
  String url = "http://query.yahooapis.com/v1/public/yql?format=xml&q=select+*+from+weather.forecast+where+woeid=" + zip + "+and+u='C'";
  println(url);
  // Load the XML document
  XML xml = loadXML(url);

  // Grab the elements we want
  XML myval = xml.getChild("results/channel/yweather:location");
    if (myval == null){
    javax.swing.JOptionPane.showMessageDialog(null, "The last location returned nothing.\r\nChange the zip code!");
    noLoop();
    return;
    }
  city = myval.getString("city");

  myval = xml.getChild("results/channel/item/yweather:condition");
  temperature = myval.getInt("temp");
  weather = myval.getString("text");

  myval = xml.getChild("results/channel/yweather:units");
  tunits = trim( myval.getString("temperature") );
}

void draw() {
  background(255);
  fill(0);

  // Display all the stuff we want to display
  text("City: " + city, width*0.15, height*0.33);
  text("Today’s high: " + temperature + " "+ tunits, width*0.15, height*0.5);
  text("Forecast: " + weather, width*0.15, height*0.66);

}
