//---------------------------------------------------------------------------------
//   From the data visualization tutorial by gabriel Gianordoll
//   http://geojournalism.org/2013/08/portugues-as-cidades-mais-populosas-do-mundo/
//---------------------------------------------------------------------------------

size(1200, 200);

// Loading the file into a table. "header" means that the first line of the file is 
// to be understood as a header. ("cidades" means "cities".)
Table tabela = loadTable("cidades.tsv", "header");

// Creating an action in a "for loop"
for (int i = 0; i < tabela.getRowCount(); i++){
  // For each time in the loop, perform the action below:
  
  TableRow linha = tabela.getRow(i);  //--Select line corresponding to count (i)
  // Draw rectangles in distances multiples of 120
  // As our count of 10 elements starts at 0, it goes up to 9!
  int posX = 120*i;
  int posY = 50;
  float lado = sqrt(linha.getInt("área"));   // use sqrt() function to size squares proportionately

  rect(posX, posY, lado, lado);

  // for loop with "j" as counter
  for (int j = 0;                       
    j < linha.getInt("população")/5000; //... go to the number read in the "population" column of each line ...
    j = j + 1) {                            
    
    // Plot points in random coordinates within our area.
    point( random(posX, posX + lado),
           random(posY, posY + lado));
  }
}

save("cidades.jpg");
